---
stage: Systems
group: Distribution
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

# Contribute to Omnibus GitLab development

## Getting started

1. [Understanding the Omnibus GitLab Architecture](../architecture/index.md)
1. [Setting up a local development environment](setup.md)

## How everyone can contribute to Omnibus GitLab

- [How to make common enhancements](contribute-to-omnibus-gitlab.md#common-enhancement-tasks)
- [How to perform common maintenance tasks](contribute-to-omnibus-gitlab.md#common-maintenance-tasks)
- [Building and testing enhancements](contribute-to-omnibus-gitlab.md#build-and-test-your-enhancement)
- [Submitting an enhancement merge request for review](contribute-to-omnibus-gitlab.md#submit-your-enhancement-for-review)
- [Development for s390x architecture](s390x.md)

## Omnibus GitLab continuous integration

- [CI variables](ci-variables.md)
- [Repositories, branches and CI pipelines](pipelines.md)
- [Release process](../release/index.md)
- [Version format of packages, Docker images and other artifacts](package_version_format.md)
- [Handling broken master pipelines](broken_master.md)
- [Handling vulnerabilities](vulnerabilities.md)

## Technical notes

- [AWS AMis and Marketplace Listing](aws_amis_and_marketplace_listings.md)
- [Behind the scenes of `gitlab-ctl reconfigure`](reconfigure_in_detail.md)
