#
# Copyright:: Copyright (c) 2018 GitLab Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
logfiles_helper = LogfilesHelper.new(node)
logging_settings = logfiles_helper.logging_settings('nginx')

runit_service "nginx" do
  start_down node['gitlab']['nginx']['ha']
  options({
    log_directory: logging_settings[:log_directory],
    log_user: logging_settings[:runit_owner],
    log_group: logging_settings[:runit_group],
  }.merge(params))
  log_options logging_settings[:options]
end

version_file 'Create version file for NGINX' do
  version_file_path File.join(node['gitlab']['nginx']['dir'], 'VERSION')
  version_check_cmd '/opt/gitlab/embedded/sbin/nginx -ver 2>&1'
  notifies :restart, 'runit_service[nginx]'
end

execute 'reload nginx' do
  command 'gitlab-ctl hup nginx'
  action :nothing
end
